/***********************************************************
 * Copyright (c) 2005 - Rogue Sheep Incorporated
 * All Rights Reserved
 *
 * Description:
 *
 * JavaScript that causes InDesign to export the current document
 * as xml and screen viewing PDF as well as all the text content
 * to separate text files
 * output of files is in the current document's directory
 *
 *  InDesign : CS 2.0 (v4.0)
 *
 ***********************************************************/

try {

	with ( app.activeDocument ) {
	
		myXMLFile = new File( filePath + "/" + name + ".xml" );
		
		myPDFFile = new File( filePath + "/" + name + ".pdf" );
		
		
		//----- XML 
		
		// Might want to set XML export prefs here
		
		exportFile( ExportFormat.xml, myXMLFile, false, undefined );
		
		
		//----- PDF
		
		exportFile( ExportFormat.pdfType, myPDFFile, false, "[Smallest File Size]" );
		
		
		//------ Text
		
		for(myCounter = 0; myCounter < app.activeDocument.stories.length; myCounter++) {
			
			myStory = app.activeDocument.stories.item(myCounter);
			myID = myStory.id;
			
			myLink = myStory.itemLink;

			if ( myLink != null )
			{
				myLinkName = myLink.name;
			}
			else
			{
				myLinkName = "NotLinkedStory";
			}

			myFileName = "StoryID" + myID + "_" + myLinkName + "_" + ".txt";
			myFilePath = filePath + "/" + myFileName;
			
			myFile = new File(myFilePath);
			
			myStory.exportFile( ExportFormat.textType, myFile );
		}	

		alert( "InEventScript: After Save Event\nThis dialog is a result of the example script 'ExportContent.js' which is associated with the event 'Save'. The ExportContent.js script exports the document to PDF and XML, and saves each text story into a separate text file.\n\nYou can prevent these exports from occuring at save by removing the association in the InEventScript Palette.");
	}
}
catch ( err ) {
	// Silently fail
}

